{% extends 'base.html.twig' %}

{% block title %}Log in!
{% endblock %}
{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('login') }}
    <style>
        .bd-placeholder-img {
            font-size: 1.125rem;
            text-anchor: middle;
            -webkit-user-select: none;
            -moz-user-select: none;
            user-select: none;
        }

        @media(min-width: 768px) {
            .bd-placeholder-img-lg {
                font-size: 3.5rem;
            }
        }
    </style>
{% endblock %}

{% block body %}

    <main class="form-signin bg-white my-5 rounded">
        {% if error %}
            <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
        {% endif %}

        {% if app.user %}
            <div class="mb-3">
                You are logged in as
                {{ app.user.userIdentifier }},
                <a href="{{ path('app_logout') }}">Logout</a>
            </div>
        {% endif %}
        <form
            method="post" class="d-flex flex-column justify-content-center">
            {# <img class="mb-4" src="../assets/brand/bootstrap-logo.svg" alt="" width="72" height="57"> #}
            <a href="{{ path('main_index') }}" class="text-center"><img class="mb-4" src="{{asset('build/images/brand/bootstrap-logo.svg')}}" alt="" width="72" height="57"></a>
            <h1 class="h3 mb-3 text-center fw-normal">Please sign in</h1>

            <div class="form-floating">
                <input type="email" value="{{ last_username }}" name="email" class="form-control" id="inputEmail" placeholder="name@example.com" autocomplete="email" required autofocus>
                <label for="inputEmail">Email address</label>
            </div>
            <div class="form-floating">
                <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>
                <label for="inputPassword">Password</label>
            </div>
            <div class="form-check form-switch mb-3 d-flex justify-content-center">
                <input class="form-check-input" type="checkbox" value="remember-me" role="switch" id="remember_me">
                <label class="form-check-label mx-2" for="remember_me">Remember me</label>
            </div>
            <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">


            <button class="w-100 btn btn-lg btn-primary" type="submit">Sign in</button>
            <a href="{{ path('app_register') }}" class="w-100 btn btn-lg btn-outline-warning my-4">sign up</a>
        </form>
    </main>
{% endblock %}
